# Created by pyp2rpm-3.3.2
%global pypi_name termcolor

Name:           python-%{pypi_name}
Version:        2.5.0
Release:        %mkrel 2
Summary:        ANSI color formatting for output in terminal
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/termcolor
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
ANSI color formatting for output in terminal.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
ANSI color formatting for output in terminal.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files termcolor

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license COPYING.txt
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 2.5.0-2.mga10
+ Revision: 2236712
- Mageia 10 Mass Rebuild

* Mon Feb 24 2025 wally <wally> 2.5.0-1.mga10
+ Revision: 2151803
- new version 2.5.0
- rebuild for python3.13

* Mon Apr 15 2024 papoteur <papoteur> 2.4.0-1.mga10
+ Revision: 2057819
- new version 2.4.0

* Fri Dec 08 2023 wally <wally> 1.1.0-9.mga10
+ Revision: 2015801
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.1.0-8.mga9
+ Revision: 1822264
- Mageia 9 Mass Rebuild

* Thu Feb 10 2022 wally <wally> 1.1.0-7.mga9
+ Revision: 1772847
- rebuild for python3.10

* Wed Mar 31 2021 guillomovitch <guillomovitch> 1.1.0-6.mga9
+ Revision: 1712239
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.1.0-5.mga8
+ Revision: 1531827
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 1.1.0-4.mga8
+ Revision: 1441247
- submit to core/release

* Sun Sep 15 2019 tv <tv> 1.1.0-3.mga8
+ Revision: 1441235
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 07 2019 shlomif <shlomif> 1.1.0-2.mga7
+ Revision: 1350271
- Rebuild for python 3.7

* Sun Oct 14 2018 shlomif <shlomif> 1.1.0-1.mga7
+ Revision: 1320342
- pyp2rpm

